---
lang: en
title: 'API docs: context.context.getdebugnamespace'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.context.getdebugnamespace.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Context](./context.context.md) &gt; [getDebugNamespace](./context.context.getdebugnamespace.md)

## Context.getDebugNamespace() method

Get the debug namespace for the context class. Subclasses can override this method to supply its own namespace.

**Signature:**

```typescript
protected getDebugNamespace(): string;
```
**Returns:**

string

## Example


```ts
export class Application extends Context {
  super('application');
}

protected getDebugNamespace() {
  return 'loopback:context:application';
}
```


